export const accentMap = {
    a: ["á", "à", "ả", "ã", "ạ", "ă", "ắ", "ằ", "ẳ", "ẵ", "ặ", "â", "ấ", "ầ", "ẩ", "ẫ", "ậ", "ä", "å", "æ"],
    b: ["þ"],
    c: ["ç"],
    d: ["đ"],
    e: ["é", "è", "ẻ", "ẽ", "ẹ", "ê", "ế", "ề", "ể", "ễ", "ệ", "ë"],
    f: ["ƒ"],
    i: ["í", "ì", "ỉ", "ĩ", "ị", "î", "ï"],
    n: ["ñ"],
    o: ["ó", "ò", "ỏ", "õ", "ọ", "ơ", "ớ", "ờ", "ở", "ỡ", "ợ", "ô", "ố", "ồ", "ổ", "ỗ", "ộ", "ö", "ø"],
    s: ["š"],
    u: ["ú", "ù", "ủ", "ũ", "ụ", "ư", "ứ", "ừ", "ử", "ữ", "ự", "û", "ü"],
    y: ["ý", "ỳ", "ỷ", "ỹ", "ỵ", "ÿ"],
    z: ["ž"],
};
let reverseMap;
export const removeAccent = (data) => {
    if (!reverseMap) {
        //-- build map
        const entries = Object.entries(accentMap).flatMap(([primary, accents]) => accents.map((acc) => [acc, primary]));
        const upperEntries = entries.map(([acc, primary]) => [acc.toUpperCase(), primary.toUpperCase()]);
        reverseMap = Object.fromEntries([...entries, ...upperEntries]);
    }
    return data
        .split("")
        .map((c) => reverseMap[c] || c)
        .join("");
};
export const searchCompare = (value, search, ignoreValueAccent = true) => {
    return (ignoreValueAccent ? removeAccent(value) : value).toLowerCase().includes(removeAccent(search).toLowerCase());
};
